Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154007 - unregister_netdevice: waiting loop locks up system
Summary: unregister_netdevice: waiting loop locks up system
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 15:19 UTC by Hrunting Johnson
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-16 04:25:01 UTC


Attachments (Terms of Use)

Description Hrunting Johnson 2005-04-06 15:19:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
When shutting down an interface, it will occasionally do something like:

unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3
unregister_netdevice: waiting for bond0.50 to become free. Usage count = 3

These lines repeat until the box is power-cycled.  All access to the box is frozen.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.771_FC2

How reproducible:
Sometimes

Steps to Reproduce:
1. setup interfaces (I think vlans may help)
2. shutdown interface
3. shutdown may cause deadlock
  

Actual Results:  Deadlock

Expected Results:  No deadlock

Additional info:

There's a conversation started the other day on the linux-netdev list here:

http://marc.theaimsgroup.com/?l=linux-netdev&m=111261362929389&w=2

Looks like it's a problem in the kernel, but it's not reproducible enough.

Comment 1 Dave Jones 2005-04-16 04:25:01 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.